Skip to content

FinrepService⁠

Manage Current Transaction Report (CTR) records.

Operations⁠

getCtrPersonPagedListSelectFields⁠

POST

Retrieves a paged list of individuals involved in CTRs with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/finrep/getCtrPersonPagedListSelectFields
POST /nexum/627/persistent/finrep/getCtrPersonPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCtrPersonFields": true,
    "CtrPersonFields": {
      "Address": true,
      "BirthDate": true,
      "Cashin": true,
      "Cashout": true,
      "City": true,
      "CountryCode": true,
      "DbaFirst": true,
      "DbaLast": true,
      "DbaLongName": true,
      "DbaMiddle": true,
      "DbaShortName": true,
      "DbaSuffix": true,
      "Email": true,
      "EntityFlag": true,
      "First": true,
      "Gender": true,
      "Headquarters": true,
      "IdIssueByCountry": true,
      "IdIssueByState": true,
      "IdNumber": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCtrPersonPagedSelectFields⁠

POST

Searches individuals involved in CTRs with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/finrep/searchCtrPersonPagedSelectFields
POST /nexum/627/persistent/finrep/searchCtrPersonPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCtrPersonFields": true,
    "CtrPersonFields": {
      "Address": true,
      "BirthDate": true,
      "Cashin": true,
      "Cashout": true,
      "City": true,
      "CountryCode": true,
      "DbaFirst": true,
      "DbaLast": true,
      "DbaLongName": true,
      "DbaMiddle": true,
      "DbaShortName": true,
      "DbaSuffix": true,
      "Email": true,
      "EntityFlag": true,
      "First": true,
      "Gender": true,
      "Headquarters": true,
      "IdIssueByCountry": true,
      "IdIssueByState": true,
      "IdNumber": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrPersonCtrTranInfoSelectFields⁠

POST

Retrieves CTR transaction information for individuals with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrPersonLocatorintegeroptional
CtrPersonCtrTranInfoLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/finrep/getCtrPersonCtrTranInfoSelectFields
POST /nexum/627/persistent/finrep/getCtrPersonCtrTranInfoSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrPersonLocator": 0,
  "CtrPersonCtrTranInfoLocator": 0,
  "SelectableFields": {
    "IncludeAllCtrPersonCtrTranInfoFields": true,
    "CtrPersonCtrTranInfoFields": {
      "AccountNumber": true,
      "Amount": true,
      "LastFmDate": true,
      "Locator": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Source": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCtrPersonCtrTranInfoPagedListSelectFields⁠

POST

Retrieves a paged list of CTR transaction information for individuals with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrPersonLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/finrep/getCtrPersonCtrTranInfoPagedListSelectFields
POST /nexum/627/persistent/finrep/getCtrPersonCtrTranInfoPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrPersonLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCtrPersonCtrTranInfoFields": true,
    "CtrPersonCtrTranInfoFields": {
      "AccountNumber": true,
      "Amount": true,
      "LastFmDate": true,
      "Locator": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Source": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCtrPersonCtrTranInfoPagedSelectFields⁠

POST

Searches CTR transaction information for individuals with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrPersonLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/finrep/searchCtrPersonCtrTranInfoPagedSelectFields
POST /nexum/627/persistent/finrep/searchCtrPersonCtrTranInfoPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrPersonLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCtrPersonCtrTranInfoFields": true,
    "CtrPersonCtrTranInfoFields": {
      "AccountNumber": true,
      "Amount": true,
      "LastFmDate": true,
      "Locator": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Source": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateCtrByID⁠

POST

Updates a CTR by its ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/finrep/updateCtrByID
POST /nexum/627/persistent/finrep/updateCtrByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrFields": {
    "AckByUser": "string",
    "AckDate": "string",
    "AckErrorByUser": "string",
    "AckErrorDate": "string",
    "ApproveAmendByUser": "string",
    "ApproveAmendDate": "string",
    "ApproveByUser": "string",
    "ApproveDate": "string",
    "Approver": "string",
    "ApproverTitle": "string",
    "BackFileFlag": 0,
    "BatchSequence": 0,
    "BranchRouting": "string",
    "CashinBillsInsert": 0,
    "CashinCurrWager": 0,
    "CashinCurrXchng": 0,
    "CashinDeposit": 0,
    "CashinFundsXfer": 0,
    "CashinGamingIns": 0,
    "CashinNegIns": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}